Bug 6133 - Authorised values administration, warn for modifs
Summary: Authorised values administration, warn for modifs
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: 3.4
Hardware: All All
: PATCH-Sent (DO NOT USE) trivial (vote)
Target Milestone: ---
Assignee: Owen Leonard
QA Contact: Bugs List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-08 08:14 UTC by Alex Arnaud
Modified: 2013-12-05 20:04 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Add a warn when modif authorised values (2.09 KB, patch)
2011-04-08 08:18 UTC, Alex Arnaud
Details | Diff | Splinter Review
Revised fix (5.11 KB, patch)
2011-07-08 14:46 UTC, Owen Leonard
Details | Diff | Splinter Review
Screenshot of updated message (21.15 KB, image/png)
2011-07-08 14:48 UTC, Owen Leonard
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Arnaud 2011-04-08 08:14:28 UTC
When a librarian modifies auth values, he sometimes think that the modifs he does will be done on records that use the authvalue.

It's not the case. This patch just add a warning about that on main & modif pages.
Comment 1 Alex Arnaud 2011-04-08 08:18:11 UTC Comment hidden (obsolete)
Comment 2 Katrin Fischer 2011-04-08 08:51:35 UTC
I am ok with having a warning on that page, but it should not kill all the documentation. The other documentation on that page and perhaps even warning should be moved to a new help file.
It seems there is none for authorized values so far. 
Please igore patch on the mailing list, trying to figure that out.
Comment 3 Katrin Fischer 2011-04-08 08:57:18 UTC
For some reason I have a problem with my help files opening. It works for other people. Leaving this bug open so someone else can sign-off. Sorry!
Comment 4 Owen Leonard 2011-07-08 14:46:59 UTC
Created attachment 4605 [details] [review]
Revised fix

    - Reformatted for T:T
    - Changed wording slighly
    - Styled message with new "note" style for non-dialog messages
    - Added correct alert style to existing error message
Comment 5 Owen Leonard 2011-07-08 14:48:51 UTC
Created attachment 4606 [details]
Screenshot of updated message
Comment 6 Chris Cormack 2011-07-12 08:03:37 UTC
Pushed, please test
Comment 7 Jared Camins-Esakov 2012-12-31 00:19:06 UTC
There have been no further reports of problems so I am marking this bug resolved.